﻿// See https://aka.ms/new-console-template for more information

using System.Runtime.InteropServices;

BankAccount b1 = new BankAccount();
var b2 = new BankAccount();

class Person
{
    public string firstname { get; set; }
    public string lastname { get; set; }
}
class BankAccount:Person, IBankOperation
{

    private double balance;  //field
    public int accountid { get; init; }
    public double Balance {  //Property
        get { return balance; } 
        set {
            if (value >= 0)
                balance = value;
            else
                throw new Exception("The Value is out of range");
        } 
    }
    public void Deposit(double balance)
    {
        Balance += balance;
    }
    public void Withdraw(double balance)
    {
        Balance -= balance;
    }
    public override string ToString()
    {
        return string.Format
            ("FirstName={0}, LastName={1}, Amount={2} , Id={3}",
            firstname,lastname,Balance,accountid);
    }

}


interface IBankOperation
{
    public void Deposit(double balance);
    public void Withdraw(double balance);

}